Loading...
Searching...
No Matches
websocketpp::http::status_code Namespace Reference

HTTP Status codes. More...

## Enumerations

enum

value {
uninitialized = 0 , continue_code = 100 , switching_protocols = 101 , ok = 200 ,
created = 201 , accepted = 202 , non_authoritative_information = 203 , no_content = 204 ,
reset_content = 205 , partial_content = 206 , multiple_choices = 300 , moved_permanently = 301 ,
found = 302 , see_other = 303 , not_modified = 304 , use_proxy = 305 ,
temporary_redirect = 307 , bad_request = 400 , unauthorized = 401 , payment_required = 402 ,
forbidden = 403 , not_found = 404 , method_not_allowed = 405 , not_acceptable = 406 ,
proxy_authentication_required = 407 , request_timeout = 408 , conflict = 409 , gone = 410 ,
length_required = 411 , precondition_failed = 412 , request_entity_too_large = 413 , request_uri_too_long = 414 ,
unsupported_media_type = 415 , request_range_not_satisfiable = 416 , expectation_failed = 417 , im_a_teapot = 418 ,
upgrade_required = 426 , precondition_required = 428 , too_many_requests = 429 , request_header_fields_too_large = 431 ,
internal_server_error = 500 , not_implemented = 501 , bad_gateway = 502 , service_unavailable = 503 ,
gateway_timeout = 504 , http_version_not_supported = 505 , not_extended = 510 , network_authentication_required = 511
}

| Known values for HTTP Status codes. More...

## Functions

std::string | get_string (value code)
| Given a status code value, return the default status message.

## Detailed Description

HTTP Status codes.

## Enumeration Type Documentation

## value

enum websocketpp::http::status_code::value

Known values for HTTP Status codes.

Definition at line 126 of file constants.hpp.

## Function Documentation

## get_string()

std::string websocketpp::http::status_code::get_string | ( | value | code | ) |

inline

Given a status code value, return the default status message.

Parameters

  [in] | code | The HTTP status code to look up

Returns
  A string representing the default status message for this code

See also
  websocketpp::http::status_code::value (list of valid codes)

Definition at line 189 of file constants.hpp.